\version "2.18.2"
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 18)

\include "chant5.ly"
\include "Tone5_C.ly"
\include "Tone5_A.ly"
\include "Tone5_T.ly"
\include "Tone5_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Quinti Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/magnificat"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneV/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/quiaRespexit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneV/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/etMisericordia"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneV/fePo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/deposuit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \Duet "gombert/magnificat/toneV/esur" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/suscepit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneV/siLo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneV/gloriaPatri"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \Quintet "gombert/magnificat/toneV/siEr" "/superius" "/altusII"
    "/altus" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}
